Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TextureStageCollection Class Reference

List of all members.

## Public Member Functions
| TextureStageCollection ()
| TextureStageCollection (TextureStageCollection const copy)
| addTextureStage (TextureStage node_texture_stage)
| Adds a new TextureStage to the collection.
| addTextureStagesFrom (TextureStageCollection const other)
| Adds all the TextureStages indicated in the other collection to this texture_stage.
| clear ()
| Removes all TextureStages from the collection.
TextureStage | findTextureStage (string name)
| Returns the texture_stage in the collection with the indicated name, if any, or NULL if no texture_stage has that name.
int | getNumTextureStages ()
| Returns the number of TextureStages in the collection.
TextureStage | getTextureStage (int index)
| Returns the nth TextureStage in the collection.
list | getTextureStages ()
bool | hasTextureStage (TextureStage texture_stage)
| Returns true if the indicated TextureStage appears in this collection, false otherwise.
TextureStageCollection | operator+ (TextureStageCollection const other)
| Returns a TextureStageCollection representing the concatenation of the two lists.
TextureStageCollection | operator+= (TextureStageCollection const other)
| Appends the other list onto the end of this one.
TextureStageCollection | operator= (TextureStageCollection const copy)
TextureStage | operator[] (int index)
| Returns the nth TextureStage in the collection.
| output (ostream out)
| Writes a brief one-line description of the TextureStageCollection to the indicated output stream.
| removeDuplicateTextureStages ()
| Removes any duplicate entries of the same TextureStages on this collection.
bool | removeTextureStage (TextureStage node_texture_stage)
| Removes the indicated TextureStage from the collection.
| removeTextureStagesFrom (TextureStageCollection const other)
| Removes from this collection all of the TextureStages listed in the other collection.
int | size ()
| Returns the number of texture stages in the collection.
| sort ()
| Sorts the TextureStages in this collection into order by TextureStage.sort(), from lowest to highest.
| write (ostream out, int indent_level)
| Writes a complete multi-line description of the TextureStageCollection to the indicated output stream.
| write (ostream out)
| Writes a complete multi-line description of the TextureStageCollection to the indicated output stream.

## Constructor & Destructor Documentation

TextureStageCollection | ( |  | ) |

TextureStageCollection | ( | TextureStageCollection const | copy | ) |

## Member Function Documentation

addTextureStage | ( | TextureStage | node_texture_stage | ) |

Adds a new TextureStage to the collection.

addTextureStagesFrom | ( | TextureStageCollection const | other | ) |

Adds all the TextureStages indicated in the other collection to this texture_stage.

The other texture_stages are simply appended to the end of the texture_stages in this list; duplicates are not automatically removed.

clear | ( |  | ) |

Removes all TextureStages from the collection.

TextureStage findTextureStage | ( | string | name | ) |

Returns the texture_stage in the collection with the indicated name, if any, or NULL if no texture_stage has that name.

int getNumTextureStages | ( |  | ) |

Returns the number of TextureStages in the collection.

TextureStage getTextureStage | ( | int | index | ) |

Returns the nth TextureStage in the collection.

list getTextureStages | ( |  | ) |

bool hasTextureStage | ( | TextureStage | texture_stage | ) |

Returns true if the indicated TextureStage appears in this collection, false otherwise.

TextureStageCollection operator+ | ( | TextureStageCollection const | other | ) |

Returns a TextureStageCollection representing the concatenation of the two lists.

TextureStageCollection operator+= | ( | TextureStageCollection const | other | ) |

Appends the other list onto the end of this one.

TextureStageCollection operator= | ( | TextureStageCollection const | copy | ) |

TextureStage operator[] | ( | int | index | ) |

Returns the nth TextureStage in the collection.

This is the same as get_texture_stage(), but it may be a more convenient way to access it.

output | ( | ostream | out | ) |

Writes a brief one-line description of the TextureStageCollection to the indicated output stream.

removeDuplicateTextureStages | ( |  | ) |

Removes any duplicate entries of the same TextureStages on this collection.

If a TextureStage appears multiple times, the first appearance is retained; subsequent appearances are removed.

bool removeTextureStage | ( | TextureStage | node_texture_stage | ) |

Removes the indicated TextureStage from the collection.

Returns true if the texture_stage was removed, false if it was not a member of the collection.

removeTextureStagesFrom | ( | TextureStageCollection const | other | ) |

Removes from this collection all of the TextureStages listed in the other collection.

int size | ( |  | ) |

Returns the number of texture stages in the collection.

This is the same thing as get_num_texture_stages().

sort | ( |  | ) |

Sorts the TextureStages in this collection into order by TextureStage.sort(), from lowest to highest.

write | ( | ostream | out | ) |

Writes a complete multi-line description of the TextureStageCollection to the indicated output stream.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Writes a complete multi-line description of the TextureStageCollection to the indicated output stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties